Bug 1253402 - Google Chrome causes display to freeze. Box becomes unresponsive.
Google Chrome causes display to freeze. Box becomes unresponsive.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-13 12:12 EDT by Bill Gradwohl
Modified: 2016-12-20 09:23 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:23:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error messages of nouveau extracted from "journalctl" (4.78 KB, text/plain)
2015-08-19 07:56 EDT, Edgar Hoch
no flags Details

  None (edit)
Description Bill Gradwohl 2015-08-13 12:12:17 EDT
Description of problem:
I've submitted a bug for Google Chrome https://code.google.com/p/chromium/issues/detail?id=513289
but it is just triggering a problem that resides in the kernel, gdm, video driver, etc; I don't know where. The symptoms also vary in intensity.

This started occurring recently - within the last 2 months, and the symptoms are getting progressively worse. The screen freezes used to be for 1 minute and then the machine would return to normal. Now the freezes are making the box unusable, requiring a reboot.

I've run clamav against the entire box and nothing shows up.

Asus laptop operating as user bill randomly freezes the screen. This happens when I get an email alert from within Chrome. Google hosts my domain, so I have the browser up all day and periodically a pop up appears in the upper right hand corner to indicate new mail. My smartphone also lets me know of new mail by making a sound. Most of the time the pop up works as expected. Periodically, it triggers a screen freeze.

The freeze occurs randomly when the pop up is supposed to appear. I hear my smartphone signal new mail and look at the screen and only see a transparency of part of the pop up. It's a ghost of an image, and it appears smeared. The rest of the screen is perfect. It doesn't matter what app has focus, as the pop up appears over every app, so I've had this occur when Chrome, Librepoffice calc, Libreoffice Writer, etc was the app occupying the whole screen.

The mouse still moves across the screen. If I have sound playing, it continues as normal(YouTube video). Sometimes I can Ctrl-Alt-Fx to do some checking, but most of the time Ctrl-Alt-Fx no longer works. I have to ssh in from another box as root to start looking around.

SSH'd in I run top and see nothing abnormal. I can kill the process that appears to occupy the frozen screen, and it goes away, but the screen image doesn't change. It's as though I'm looking at a video refresh buffer instead of the actual apps video output. 

On the frozen screen, I've tried Ctrl-Alt-Fx, entered root and the password followed by a shutdown command even though I couldn't see what I was doing as the screen never flips to a login screen, just to see if the O/S was still listening and I just couldn't see what was going on. This never works. The O/S is not listening to my keystrokes or I'm keying into an abyss.

Here's some journal content via journalctl -r. There's miles of it in the log.
:
Aug 13 08:51:25 billlaptop.private.ycc gdm-Xorg-:0[1281]: nouveau:         0x00000000
Aug 13 08:51:25 billlaptop.private.ycc gdm-Xorg-:0[1281]: nouveau:         0x00000000
Aug 13 08:51:25 billlaptop.private.ycc gdm-Xorg-:0[1281]: nouveau:         0x000000cf
Aug 13 08:51:25 billlaptop.private.ycc gdm-Xorg-:0[1281]: nouveau:         0x20056080
Aug 13 08:51:25 billlaptop.private.ycc gdm-Xorg-:0[1281]: nouveau: ch0: psh 00000000 000000169c 0000001708
Aug 13 08:51:25 billlaptop.private.ycc gdm-Xorg-:0[1281]: nouveau: ch0: buf 00000001 0000003f 00000002 00000000 00000002
Aug 13 08:51:25 billlaptop.private.ycc gdm-Xorg-:0[1281]: nouveau: ch0: buf 00000000 00000007 00000004 00000004 00000000
Aug 13 08:51:25 billlaptop.private.ycc gdm-Xorg-:0[1281]: nouveau: ch0: krec 0 pushes 1 bufs 2 relocs 0
Aug 13 08:51:25 billlaptop.private.ycc gdm-Xorg-:0[1281]: nouveau: kernel rejected pushbuf: Device or resource busy

Aug 13 08:51:25 billlaptop.private.ycc kernel: nouveau E[Xorg.bin[1281]] nv50cal_space: -16
Aug 13 08:50:38 billlaptop.private.ycc kernel: nouveau E[   PFIFO][0000:01:00.0] PGRAPH engine fault on channel 5, recovering...
Aug 13 08:50:38 billlaptop.private.ycc kernel: nouveau E[   PFIFO][0000:01:00.0] write fault at 0x0004320000 [PAGE_NOT_PRESENT] from PGRAPH/GPC0/PROP on channel 0x005fc36000


Aug 13 08:49:44 billlaptop.private.ycc kernel: nouveau E[gnome-shell[2108]] validate: -22
Aug 13 08:49:44 billlaptop.private.ycc kernel: nouveau E[gnome-shell[2108]] validate_init
Aug 13 08:49:44 billlaptop.private.ycc kernel: nouveau E[gnome-shell[2108]] multiple instances of buffer 97 on validation list


Aug 13 08:49:44 billlaptop.private.ycc gnome-session[1918]: nouveau:         0x00000040
Aug 13 08:49:44 billlaptop.private.ycc gnome-session[1918]: nouveau:         0x20054088
Aug 13 08:49:44 billlaptop.private.ycc gnome-session[1918]: nouveau:         0x000000b2
Aug 13 08:49:44 billlaptop.private.ycc gnome-session[1918]: nouveau:         0x200140c5

Aug 13 08:49:44 billlaptop.private.ycc gnome-session[1918]: nouveau: ch0: buf 00000001 00000006 00000004 00000000 00000004
Aug 13 08:49:44 billlaptop.private.ycc gnome-session[1918]: nouveau: ch0: buf 00000000 00000003 00000004 00000004 00000000
Aug 13 08:49:44 billlaptop.private.ycc gnome-session[1918]: nouveau: ch0: krec 0 pushes 1 bufs 17 relocs 0
Aug 13 08:49:44 billlaptop.private.ycc gnome-session[1918]: nouveau: kernel rejected pushbuf: Invalid argument


Version-Release number of selected component (if applicable):


How reproducible:
Not reproducible on command as far as I'm aware. Happens randomly but is triggered by Chrome's email alert pop up.

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Edgar Hoch 2015-08-19 07:56:03 EDT
Created attachment 1064770 [details]
Error messages of nouveau extracted from "journalctl"

We have a similar problem. The following message seams to be similar:

kernel: nouveau E[   PFIFO][0000:01:00.0] read fault at 0x0005ebc000 [PAGE_NOT_PRESENT] from PGRAPH/GPC0/PROP on channel 0x003fb28000 [chrome[19616]]

I have attached the relevant messages of "journalctl".
Comment 2 Fedora End Of Life 2015-11-04 05:45:46 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 cchase 2015-11-13 14:27:13 EST
I'm currently using Fedora 23 and am also experiencing freezing when using Chrome.  Perhaps it's a different cause, though.  I've pasted info from dmesg when I ssh in.

[  626.898995] kvm [6237]: vcpu0 disabled perfctr wrmsr: 0xc1 data 0xffff
[  643.256383] device vnet2 entered promiscuous mode
[  643.265486] virbr1: port 3(vnet2) entered listening state
[  643.265513] virbr1: port 3(vnet2) entered listening state
[  643.788067] kvm: zapping shadow pages for mmio generation wraparound
[  643.790135] kvm: zapping shadow pages for mmio generation wraparound
[  644.365350] device vnet3 entered promiscuous mode
[  644.377462] virbr1: port 4(vnet3) entered listening state
[  644.377488] virbr1: port 4(vnet3) entered listening state
[  645.071933] kvm: zapping shadow pages for mmio generation wraparound
[  645.076157] kvm: zapping shadow pages for mmio generation wraparound
[  645.271053] virbr1: port 3(vnet2) entered learning state
[  646.383054] virbr1: port 4(vnet3) entered learning state
[  647.275014] virbr1: topology change detected, propagating
[  647.275021] virbr1: port 3(vnet2) entered forwarding state
[  648.387030] virbr1: topology change detected, propagating
[  648.387046] virbr1: port 4(vnet3) entered forwarding state
[  870.095273] nouveau E[chrome[3449]] fail set_domain
[  870.095283] nouveau E[chrome[3449]] validating bo list
[  870.095289] nouveau E[chrome[3449]] validate: -22
[  870.132472] nouveau E[   PFIFO][0000:03:00.0] read fault at 0xed00fbd000 [PT_NOT_PRESENT] from PGRAPH/GPC0/TEX on channel 0x001f992000 [chrome[3449]]
[  870.132482] nouveau E[   PFIFO][0000:03:00.0] PGRAPH engine fault on channel 10, recovering...
[  870.132506] nouveau E[  PGRAPH][0000:03:00.0] TRAP ch 10 [0x001f992000 chrome[3449]]
[  870.132519] nouveau E[  PGRAPH][0000:03:00.0] GPC0/TPC0/TEX: 0x80000045
Comment 4 cchase 2015-12-14 09:51:58 EST
This was fixed for me in Linux kernel 4.2.6 https://code.google.com/p/chromium/issues/detail?id=547454
Comment 5 Adrian 2016-01-27 16:13:53 EST
This is also affecting my laptop, running Fedora 23 on kernel 4.3.3-300.fc23.x86_64 and Chrome 48.0.2564.82-1. The hardware is a Macbook Pro A1502 with an i5. 

This may or may not relate to the evolution-calendar-factorysubprocess cpu usage issue which is also affecting me. 

https://bugzilla.redhat.com/show_bug.cgi?id=1293073

The problem has been getting rapidly worse over the last ~2 months, and frequently results in an entirely unresponsive system - even the clock does not update anymore. 

If I happen to have a terminal open, I can click into the terminal and run "pkill -9 -f chrome" and often the system will become usable again.
Comment 6 Fedora End Of Life 2016-11-24 07:18:30 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2016-12-20 09:23:44 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.